<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/BackendPage.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/admin/AdminAdminIpsGrid.inc.php" );

	class AdminAdminIpsPage extends BackendPage {
		protected $oAdminAdminIpsGrid;

		public function __construct( $id = "AdminAdminIpsPage" , $parent = null ) {
			parent::__construct( $id , $parent );
			if (!AdminUserModel::isAdminLoggedIn()) return;
			$this->oAdminAdminIpsGrid = new AdminAdminIpsGrid( "AdminAdminIpsGrid" , $this );
		}

		public function modifyGetPost( &$g , &$p ) {
			if (isset( $g["ckedit"] ) && $g["ckedit"]) $this->bIsPopup = true;
			if ($this->bIsPopup) $this->oAdminAdminIpsGrid->setSelector( true );
			parent::modifyGetPost( $g , $p );
		}
	}
?>
